<vn>
<vn-group>
	<db-form id="iter" on-status-changed="onStatusChange">
		<db-model
			id="model"
			property="model"
			updatable="true"
			lot="hash"
			on-operations-done="onOperationsDone">
			SELECT id, title, text, tag, priority
				FROM news WHERE id = #new
		</db-model>
	</db-form>
	<vn-param lot="iter" name="text" on-changed="onBodyChange"/>
</vn-group>
<h1 id="title">
	_AddEditNew
</h1>
<div id="actions">
	<htk-bar-button
		icon="ok"
		tip="_Accept"
		on-click="onAcceptClick"/>
	<htk-bar-button
		icon="close"
		tip="_Return"
		on-click="onReturnClick"/>
</div>
<div id="main" class="new">
	<div class="card form">
		<div>
			<label>_Title</label>
			<htk-entry lot="iter" name="title"/>
		</div>
		<div>
			<label>_Tag</label>
			<htk-combo lot="iter" name="tag">
				<db-model property="model">
					SELECT name, description FROM news_tag
						ORDER BY description
				</db-model>
			</htk-combo>
		</div>
		<div>
			<label>_Priority</label>
			<htk-entry lot="iter" name="priority"/>
		</div>
		<div>
			<label>_NewBody</label>
			<textarea id="html-editor"/>
		</div>
	</div>
</div>
</vn>
